var numberOfEntries=10; // // To plithos twn orwn
var entry = new makeArray(numberOfEntries-1);
var url = new makeArray(numberOfEntries-1);
var index = new makeArray(numberOfEntries-1);

var word = unescape(parent.location.search.substring(1));

function makeArray(n) {
	this.length=n;
	for (var i=1;i<=n;i++);
		this[i]=null;
		return this;
	}



//finds matching definition terms
function init() {
if (word=='X') {
parent.frames['items'].location='itemX.htm';

}
else {

	for (var j=0; j<=entry.length; j++) {
	if (word==index[j]) {
		document.glossary.terms.options[j].selected=true;
		parent.frames['items'].location=url[j];
		break; }			
		}
	}
}





function buildTermList() {
var termlist;
var i=-1;
i=i+1;index[i]="0"; entry[i]="Επιλέξτε ένα θέμα";url[i]="";
i=i+1;index[i]="1";entry[i]="Γιατί τα χημικά στοιχεία μιας ομάδας έχουν παρόμοιες ιδιότητες;";url[i]="../electrons.htm";
i=i+1;index[i]="2";entry[i]="Τα ευγενή αέρια";url[i]="../nobles.htm";
i=i+1;index[i]="3";entry[i]="Η δομή των μετάλλων και τα αποτελέσματά της";url[i]="../metallicbond.htm";
i=i+1;index[i]="4"; entry[i]="Oι χημικές εξισώσεις της αντίδρασης μετάλλων με οξέα";url[i]="../metalseries.htm";
i=i+1;index[i]="5";entry[i]="Oι χημικές εξισώσεις των αντιδράσεων απλής αντικατάστασης" ;url[i]="../substit.htm";
i=i+1;index[i]="6";entry[i]="Oι ιδιότητες των κραμάτων" ;url[i]="../alloy.htm";
i=i+1;index[i]="7";entry[i]="Τα ανθρακικά άλατα 'σκληραίνουν' το νερό" ;url[i]="../tube.htm";
i=i+1;index[i]="8";entry[i]="Μπάλες, σωλήνες και ίνες άνθρακα" ;url[i]="../fulerene.htm";
i=i+1;index[i]="9";entry[i]="Oι σιλικόνες" ;url[i]="../silicones.htm";



	termlist = '<SELECT NAME=terms SIZE=1  onChange="showDef(selectedIndex)">';
	for (var i=0;i<=entry.length;i++) {
		termlist += '<OPTION VALUE="'+url[i]+'">'+entry[i]+ '</OPTION>';
		}
	termlist += "</SELECT>";
	return termlist;

	}

//displays definition on selection
function showDef(index) {
parent.frames['items'].location=url[index];
document.glossary.terms.options[0].selected=true;
	}
